Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class SpringLobHandlerDetectorFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.SpringLobHandlerDetectorFactoryBean

All Implemented Interfaces:
  FactoryBean

    public class SpringLobHandlerDetectorFactoryBean

Attempts to auto-detect the LobHandler to use from the db meta data.

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`void` | `afterPropertiesSet()`
`LobHandler` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setDataSource(javax.sql.DataSource dataSource)`
`void` | `setNativeJdbcExtractor(NativeJdbcExtractor nativeJdbcExtractor)`
`void` | `setPooledConnection(boolean pooledConnection)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### getObject

    public LobHandler getObject()

### getObjectType

    public java.lang.Class getObjectType()

### isSingleton

    public boolean isSingleton()

### setDataSource

    public void setDataSource(javax.sql.DataSource dataSource)

### setNativeJdbcExtractor

    public void setNativeJdbcExtractor(NativeJdbcExtractor nativeJdbcExtractor)

### setPooledConnection

    public void setPooledConnection(boolean pooledConnection)

Groovy Documentation